'''''''''''''''''''''''''''''''''''''''''''''
'
'  Filter Registration Utility  
'
'''''''''''''''''''''''''''''''''''''''''''''

'  Description:
'  ------------
'  This sample admin script allows you to install a new ISAPI filter on the server or
'  the service.
'
'  To Run:  
'  -------
'  This is the format for this script:
'  
'      cscript registerISAPIFilter.vbs <filterpath> [-n <filtername>]
'  
'  NOTE:  If you want to execute this script directly from Windows, use 
'  'wscript' instead of 'cscript'. 
'
'''''''''''''''''''''''''''''''''''''''''''''

Option Explicit

' Initialize error checking
'On Error Resume Next

' Initialize variables
Dim FiltersObj, FilterObj, LoadOrder

    ' Access ADSI object for the IIsFilters object
    ' NOTE:  If you wish to add a filter at the server level, you will have to check
    ' the IIsServer object for an IIsFilters node.  If such a node does not exist, it will
    ' need to be created using Create().  
    Set FiltersObj = GetObject("IIS://Localhost/W3SVC/Filters")
	
	on error resume next			'QQQQ Workaround if iisFilters dir already exists
	call filtersobj.delete("IIsFilter", FName)
	if err.number = 0 then err.raise(1)	'QQQQ Workaround if iisFilters dir already exists

	' Write info back to Metabase
	FilterObj.SetInfo

    FiltersObj.FilterLoadOrder = "sspifilt,compression,md5filt,fpexedll.dll"

    ' Write changes back to Metabase
    FiltersObj.SetInfo






